//
// ActionType.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation


/** An enumeration. */
public enum ActionType: String, Codable {
    case cameraCreate = "camera_create"
    case cameraDelete = "camera_delete"
    case cameraUpdate = "camera_update"
    case faceCreate = "face_create"
    case faceDelete = "face_delete"
    case faceUpdate = "face_update"
    case facelistCreate = "facelist_create"
    case facelistDelete = "facelist_delete"
    case facelistUpdate = "facelist_update"
    case faceimageCreate = "faceimage_create"
    case faceimageDelete = "faceimage_delete"
    case facelistFaceCreate = "facelist_face_create"
    case facelistFaceDelete = "facelist_face_delete"
    case groupCreate = "group_create"
    case groupDelete = "group_delete"
    case groupUpdate = "group_update"
    case groupUserCreate = "group_user_create"
    case groupUserDelete = "group_user_delete"
    case groupPlaceCreate = "group_place_create"
    case groupPlaceDelete = "group_place_delete"
    case organizationCreate = "organization_create"
    case organizationDelete = "organization_delete"
    case organizationUpdate = "organization_update"
    case permissionCreate = "permission_create"
    case permissionDelete = "permission_delete"
    case onvifImageUpdate = "onvif_image_update"
    case onvifNetworkUpdate = "onvif_network_update"
    case onvifPtzUpdate = "onvif_ptz_update"
    case onvifStreamUpdate = "onvif_stream_update"
    case onvifUserUpdate = "onvif_user_update"
    case placeCreate = "place_create"
    case placeDelete = "place_delete"
    case placeUpdate = "place_update"
    case placeGroupCreate = "place_group_create"
    case placeGroupDelete = "place_group_delete"
    case planCreate = "plan_create"
    case planDelete = "plan_delete"
    case planUpdate = "plan_update"
    case planCameraCreate = "plan_camera_create"
    case planCameraDelete = "plan_camera_delete"
    case planCameraUpdate = "plan_camera_update"
    case plateCreate = "plate_create"
    case plateDelete = "plate_delete"
    case plateUpdate = "plate_update"
    case platelistCreate = "platelist_create"
    case platelistDelete = "platelist_delete"
    case platelistUpdate = "platelist_update"
    case platelistPlateCreate = "platelist_plate_create"
    case platelistPlateDelete = "platelist_plate_delete"
    case roleCreate = "role_create"
    case roleDelete = "role_delete"
    case roleUpdate = "role_update"
    case uploadCreate = "upload_create"
    case userCreate = "user_create"
    case userDelete = "user_delete"
    case userUpdate = "user_update"
    case userLogin = "user_login"
    case userLogout = "user_logout"
    case versionUpdate = "version_update"
}